Bug 1185185 - [abrt] fontforge: __memcpy_sse2_unaligned(): fontforge killed by SIGSEGV
Summary: [abrt] fontforge: __memcpy_sse2_unaligned(): fontforge killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fontforge
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:766cbd6eaea8e0ed15eb9d6912d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-23 08:03 UTC by Mikhail Yarashevich
Modified: 2015-06-30 01:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:15:58 UTC


Attachments (Terms of Use)
File: backtrace (33.01 KB, text/plain)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details
File: cgroup (180 bytes, text/plain)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details
File: core_backtrace (1.55 KB, text/plain)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details
File: dso_list (7.09 KB, text/plain)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details
File: environ (1.42 KB, text/plain)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details
File: maps (37.96 KB, text/plain)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details
File: open_fds (220 bytes, text/plain)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details
File: var_log_messages (345 bytes, text/plain)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-01-23 08:03 UTC, Mikhail Yarashevich
no flags Details

Description Mikhail Yarashevich 2015-01-23 08:03:15 UTC
Version-Release number of selected component:
fontforge-20120731b-10.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        fontforge /home/mike/work/fonts/Antiq.ttf
crash_function: __memcpy_sse2_unaligned
executable:     /usr/bin/fontforge
kernel:         3.17.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 __memcpy_sse2_unaligned at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:120
 #1 memcpy at /usr/include/bits/string3.h:51
 #2 copyn at memory.c:87
 #3 GXDrawTransmitSelection at gxdraw.c:4431
 #4 dispatchEvent at gxdraw.c:3770
 #5 GXDrawEventLoop at gxdraw.c:3968

Comment 1 Mikhail Yarashevich 2015-01-23 08:03:20 UTC
Created attachment 983193 [details]
File: backtrace

Comment 2 Mikhail Yarashevich 2015-01-23 08:03:21 UTC
Created attachment 983194 [details]
File: cgroup

Comment 3 Mikhail Yarashevich 2015-01-23 08:03:23 UTC
Created attachment 983195 [details]
File: core_backtrace

Comment 4 Mikhail Yarashevich 2015-01-23 08:03:24 UTC
Created attachment 983196 [details]
File: dso_list

Comment 5 Mikhail Yarashevich 2015-01-23 08:03:26 UTC
Created attachment 983197 [details]
File: environ

Comment 6 Mikhail Yarashevich 2015-01-23 08:03:27 UTC
Created attachment 983198 [details]
File: limits

Comment 7 Mikhail Yarashevich 2015-01-23 08:03:30 UTC
Created attachment 983199 [details]
File: maps

Comment 8 Mikhail Yarashevich 2015-01-23 08:03:31 UTC
Created attachment 983200 [details]
File: open_fds

Comment 9 Mikhail Yarashevich 2015-01-23 08:03:33 UTC
Created attachment 983201 [details]
File: proc_pid_status

Comment 10 Mikhail Yarashevich 2015-01-23 08:03:34 UTC
Created attachment 983202 [details]
File: var_log_messages

Comment 11 Mikhail Yarashevich 2015-01-23 08:03:36 UTC
Created attachment 983203 [details]
File: exploitable

Comment 12 Kevin Fenzi 2015-01-23 14:34:55 UTC
What were you doing when this happened?

Can you duplicate the crash?

Comment 13 Fedora End Of Life 2015-05-29 13:37:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-30 01:15:58 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.